--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new casemap with name <em>name</em>, uppercase characters <em>upper</em> and lowercase characters <em>lower</em>
full_name: Irc::Casemap::new
is_singleton: true
name: new
params: (name, upper, lower)
visibility: public
